Subject: Re: [bug#49149] [PATCH 0/7] Add deb format for guix pack.

From: zimoun <[email-masked]>
Date: Thu, 1 Jul 2021 15:08:52 +0200

Hi Maxim,

On Wed, 30 Jun 2021 at 21:20, Maxim Cournoyer <[email-masked]> wrote:

> > Hum, the disclaim LGTM.  Although, it appears to me a severe limitation
> > to be able to install only one Guix-generated .deb pack on a Debian-like
> > system, IIUC. :-)
>
> Thanks!  It is!  One thing that would be possible is react to a user
> passing the -R(R) (relocatable) option and keep the deb pack contents
> under a named prefix, such as /opt/deb-packs/name/gnu/store/[...] to
> keep them from conflicting.  I won't be pursuing it myself but it
> shouldn't be too difficult to do!

I understand.  I keep this idea / feature under the elbow (well, have
this in reserve :-)).

Cheers,
simon